//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "FenMain_Etat.h"
#include "EIC.h"
extern "C" int  __export Run( enum RUN_ACTION eAction);
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "CTreeX"
#pragma resource "*.dfm"
TFenMainAssistant *FenMainAssistant=NULL;
//---------------------------------------------------------------------------
__fastcall TFenMainAssistant::TFenMainAssistant(TComponent* Owner) : TForm(Owner)
{
}
//---------------------------------------------------------------------------
TForm *__export TFenMainAssistant::CreateInstance(TComponent *Owner)
{
  try {
    FenMainAssistant = new TFenMainAssistant(Owner);
    return FenMainAssistant;
  } catch (...) { return NULL; }
}
//---------------------------------------------------------------------------
int Run( enum RUN_ACTION eAction)
{
  switch( eAction)
  {
    case RA_START : break;
    case RA_EXIT  : FenMainAssistant=NULL; break;
    default       : ASSERT(false);
  }
  return 1;
}
